<?php
/*
-----------------------------------------
Автор: -=КотЭ=-(-=MTV=-) и Shot(Robber)
Бесплатный WAP движок: Strongcms
Контакты: 0664452670(МТС) ибо ICQ(7296000)
Файл: ban.php
-------------------------------------------
*/
//-Находим пользователей забаненных-//
if($user['id']) {

$bl = mysql_fetch_assoc(mysql_query("SELECT * FROM `ban_list` WHERE `kto` = '".$user['id']."' LIMIT 1"));//которые уже освободились
$ban_list = mysql_fetch_assoc(mysql_query("SELECT * FROM `ban_list` WHERE `kto` = '".$user['id']."' && `time_end` > '".time()."' LIMIT 1"));//еще в бане

if($ban_list != 0) {
require_once ('header.php');

echo '<div class="title">Бан</div>
<div class="podmenu">Вы попали в бан по причине: <br /><div class="news">'.smile(bb($ban_list['about'])).'</div></div>
<div class="podmenu">Бан выдал: '.nick($ban_list['add_ban']).' ('.vremja($ban_list['date']).')</div>
<div class="podmenu"> Дата освобождения: <b>'.date('d.m.Y в H:i',$ban_list['time_end']).'</b></div>';

if(isset($_REQUEST['ok'])) {

$about = strong($_POST['about']);

if(empty($about) or mb_strlen($about)<3) {
echo '<div class="podmenu"><center><b>Ошибка ввода,минимум 3 символа!</b></center></div>';
require_once ('footer.php');
exit();
}

/* Антиспам */
$pr = mysql_result(mysql_query("SELECT COUNT(id) FROM `jalob_ba` WHERE `avtor` = '".$user['id']."'"),0);
if($pr != 0) {
echo '<div class="podmenu"><center><b>Вы уже своё сказали!</b></center></div>';
require_once ('footer.php');
exit();
}

mysql_query("INSERT INTO `jalob_ba` SET `about` = '".$about."', `avtor` = '".$user['id']."', `komy` = '1', `time` = '".time()."'");
header('Location: '.$HOME.'');
exit();
}

$pr = mysql_result(mysql_query("SELECT COUNT(id) FROM `jalob_ba` WHERE `avtor` = '".$user['id']."'"),0);

if($pr == 0) {
echo '<div class="podmenu"><form action="" method="POST">
*Сообщение(Жалоба):<br />
<textarea name="about"></textarea><br />
<input type="submit" name="ok" value="Написать" />
</form></div>';
} else {
$list = mysql_query("SELECT * FROM `jalob_ba` WHERE `avtor` = '".$user['id']."' ORDER bY `id` DESC ");

while($l = mysql_fetch_assoc($list))
{
echo '<div class="links">'.nick($l['avtor']).' ('.vremja($l['time']).')</div><div class="podmenu">'.smile(bb($l['about'])).'</div>';
}

require_once ('footer.php');
exit();
}

$chet = mysql_result(mysql_query("SELECT COUNT(id) FROM `jalob_ba` WHERE `avtor` = '".$user['id']."'"),0);
if($chet == 0) {
echo '<div class="podmenu"><center><b>Вы жалобу еще не писали!</b></center></div>';
}

require_once ('footer.php');
exit();
}else if($bl['time_end'] < time())
{
mysql_query("DELETE FROM `ban_list` WHERE `kto` = '".$bl['kto']."'");
}
}
?>